# Uses of Interface
org.apache.jute.OutputArchive

Packages that use OutputArchive
Package
Description
org.apache.jute
Hadoop record I/O contains classes and a record description language translator for simplifying serialization and deserialization of records in a language-neutral manner.
org.apache.zookeeper
org.apache.zookeeper.compat
org.apache.zookeeper.data
org.apache.zookeeper.proto
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.util
org.apache.zookeeper.txn

## Uses of OutputArchive in org.apache.jute

Classes in org.apache.jute that implement OutputArchive
Modifier and Type
Class
Description
`class`
`BinaryOutputArchive`
`class`
`ToStringOutputArchive`
Methods in org.apache.jute with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
Record.`serialize(OutputArchive archive, String tag)`

## Uses of OutputArchive in org.apache.zookeeper

Methods in org.apache.zookeeper with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
DeleteContainerRequest.`serialize(OutputArchive archive, String tag)`
`void`
MultiOperationRecord.`serialize(OutputArchive archive, String tag)`
`void`
MultiResponse.`serialize(OutputArchive archive, String tag)`

## Uses of OutputArchive in org.apache.zookeeper.compat

Methods in org.apache.zookeeper.compat with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
ProtocolManager.`serializeConnectResponse(ConnectResponse response, OutputArchive outputArchive)`
The serialization of `ConnectResponse` has to be handled specially as clients earlier than 3.5 might not expect the `readOnly` flag.

## Uses of OutputArchive in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
ACL.`serialize(OutputArchive a_, String tag)`
`void`
ClientInfo.`serialize(OutputArchive a_, String tag)`
`void`
Id.`serialize(OutputArchive a_, String tag)`
`void`
Stat.`serialize(OutputArchive a_, String tag)`
`void`
StatPersisted.`serialize(OutputArchive a_, String tag)`

## Uses of OutputArchive in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
AddWatchRequest.`serialize(OutputArchive a_, String tag)`
`void`
AuthPacket.`serialize(OutputArchive a_, String tag)`
`void`
CheckVersionRequest.`serialize(OutputArchive a_, String tag)`
`void`
CheckWatchesRequest.`serialize(OutputArchive a_, String tag)`
`void`
ConnectRequest.`serialize(OutputArchive a_, String tag)`
`void`
ConnectResponse.`serialize(OutputArchive a_, String tag)`
`void`
Create2Response.`serialize(OutputArchive a_, String tag)`
`void`
CreateRequest.`serialize(OutputArchive a_, String tag)`
`void`
CreateResponse.`serialize(OutputArchive a_, String tag)`
`void`
CreateTTLRequest.`serialize(OutputArchive a_, String tag)`
`void`
DeleteRequest.`serialize(OutputArchive a_, String tag)`
`void`
ErrorResponse.`serialize(OutputArchive a_, String tag)`
`void`
ExistsRequest.`serialize(OutputArchive a_, String tag)`
`void`
ExistsResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetACLRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetACLResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetAllChildrenNumberRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetAllChildrenNumberResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetChildren2Request.`serialize(OutputArchive a_, String tag)`
`void`
GetChildren2Response.`serialize(OutputArchive a_, String tag)`
`void`
GetChildrenRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetChildrenResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetDataRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetDataResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetEphemeralsRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetEphemeralsResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetMaxChildrenRequest.`serialize(OutputArchive a_, String tag)`
`void`
GetMaxChildrenResponse.`serialize(OutputArchive a_, String tag)`
`void`
GetSASLRequest.`serialize(OutputArchive a_, String tag)`
`void`
MultiHeader.`serialize(OutputArchive a_, String tag)`
`void`
ReconfigRequest.`serialize(OutputArchive a_, String tag)`
`void`
RemoveWatchesRequest.`serialize(OutputArchive a_, String tag)`
`void`
ReplyHeader.`serialize(OutputArchive a_, String tag)`
`void`
RequestHeader.`serialize(OutputArchive a_, String tag)`
`void`
SetACLRequest.`serialize(OutputArchive a_, String tag)`
`void`
SetACLResponse.`serialize(OutputArchive a_, String tag)`
`void`
SetDataRequest.`serialize(OutputArchive a_, String tag)`
`void`
SetDataResponse.`serialize(OutputArchive a_, String tag)`
`void`
SetMaxChildrenRequest.`serialize(OutputArchive a_, String tag)`
`void`
SetSASLRequest.`serialize(OutputArchive a_, String tag)`
`void`
SetSASLResponse.`serialize(OutputArchive a_, String tag)`
`void`
SetWatches.`serialize(OutputArchive a_, String tag)`
`void`
SetWatches2.`serialize(OutputArchive a_, String tag)`
`void`
SyncRequest.`serialize(OutputArchive a_, String tag)`
`void`
SyncResponse.`serialize(OutputArchive a_, String tag)`
`void`
WatcherEvent.`serialize(OutputArchive a_, String tag)`
`void`
WhoAmIResponse.`serialize(OutputArchive a_, String tag)`

## Uses of OutputArchive in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
DataNode.`serialize(OutputArchive archive, String tag)`
`void`
DataTree.`serialize(OutputArchive oa, String tag)`
`void`
DataTree.ZxidDigest.`serialize(OutputArchive oa)`
`void`
ReferenceCountedACLCache.`serialize(OutputArchive oa)`
`void`
DataTree.`serializeAcls(OutputArchive oa)`
`boolean`
DataTree.`serializeLastProcessedZxid(OutputArchive oa)`
Serializes the lastProcessedZxid so we can get it from snapshot instead the snapshot file name.
`void`
DataTree.`serializeNodeData(OutputArchive oa, String path, DataNode node)`
`void`
DataTree.`serializeNodes(OutputArchive oa)`
`void`
ZKDatabase.`serializeSnapshot(OutputArchive oa)`
serialize the snapshot
`boolean`
DataTree.`serializeZxidDigest(OutputArchive oa)`
Serializing the digest to snapshot, this is done after the data tree is being serialized, so when we replay the txns, and it hits this zxid we know we should be in a non-fuzzy state, and have the same digest.

## Uses of OutputArchive in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence with parameters of type OutputArchive
Modifier and Type
Method
Description
`static void`
SnapStream.`sealStream(CheckedOutputStream os, OutputArchive oa)`
Write specific seal to the OutputArchive and close the OutputStream.
`void`
FileHeader.`serialize(OutputArchive a_, String tag)`
`protected void`
FileSnap.`serialize(DataTree dt, Map<Long,Integer> sessions, OutputArchive oa, FileHeader header)`
serialize the datatree and sessions
`static void`
Util.`writeTxnBytes(OutputArchive oa, byte[] bytes)`
Write the serialized transaction record to the output archive.

## Uses of OutputArchive in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as OutputArchive
Modifier and Type
Field
Description
`protected OutputArchive`
Learner.`leaderOs`
Methods in org.apache.zookeeper.server.quorum with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
LearnerInfo.`serialize(OutputArchive a_, String tag)`
`void`
QuorumAuthPacket.`serialize(OutputArchive a_, String tag)`
`void`
QuorumPacket.`serialize(OutputArchive a_, String tag)`

## Uses of OutputArchive in org.apache.zookeeper.server.util

Methods in org.apache.zookeeper.server.util with parameters of type OutputArchive
Modifier and Type
Method
Description
`static void`
SerializeUtils.`serializeSnapshot(DataTree dt, OutputArchive oa, Map<Long,Integer> sessions)`

## Uses of OutputArchive in org.apache.zookeeper.txn

Methods in org.apache.zookeeper.txn with parameters of type OutputArchive
Modifier and Type
Method
Description
`void`
CheckVersionTxn.`serialize(OutputArchive a_, String tag)`
`void`
CloseSessionTxn.`serialize(OutputArchive a_, String tag)`
`void`
CreateContainerTxn.`serialize(OutputArchive a_, String tag)`
`void`
CreateSessionTxn.`serialize(OutputArchive a_, String tag)`
`void`
CreateTTLTxn.`serialize(OutputArchive a_, String tag)`
`void`
CreateTxn.`serialize(OutputArchive a_, String tag)`
`void`
CreateTxnV0.`serialize(OutputArchive a_, String tag)`
`void`
DeleteTxn.`serialize(OutputArchive a_, String tag)`
`void`
ErrorTxn.`serialize(OutputArchive a_, String tag)`
`void`
MultiTxn.`serialize(OutputArchive a_, String tag)`
`void`
SetACLTxn.`serialize(OutputArchive a_, String tag)`
`void`
SetDataTxn.`serialize(OutputArchive a_, String tag)`
`void`
SetMaxChildrenTxn.`serialize(OutputArchive a_, String tag)`
`void`
Txn.`serialize(OutputArchive a_, String tag)`
`void`
TxnDigest.`serialize(OutputArchive a_, String tag)`
`void`
TxnHeader.`serialize(OutputArchive a_, String tag)`